"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handleEvent = void 0;
var _analyticsWebClientWrapper = require("./analytics-web-client-wrapper");
var _processEventPayload = require("./process-event-payload");
/**
 * Adapted from https://bitbucket.org/atlassian/atlassian-frontend/src/master/packages/analytics/analytics-listeners/src/fabric/handle-event.tsx
 * In future if this package is migrated into the Atlassian Frontend repo, then this code and related logic should be
 * moved into @atlaskit/analytics-listeners.
 */

var handleEvent = function handleEvent(event, logger, client) {
  if (!event.payload) {
    return;
  }
  var payload = (0, _processEventPayload.processEventPayload)(event);
  (0, _analyticsWebClientWrapper.sendEvent)(logger, client)(payload);
};
exports.handleEvent = handleEvent;