"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OptionList = exports.AutocompleteOptionsContainer = exports.AutocompleteLoadingFooter = exports.AutocompleteContainer = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _react = require("@emotion/react");
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _colors = require("@atlaskit/theme/colors");
var _constants = require("@atlaskit/theme/constants");
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5; // eslint-disable-next-line @atlaskit/design-system/no-deprecated-imports
var AutocompleteContainer = _styled.default.div(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  position: absolute;\n  background-color: ", ";\n  border-radius: ", ";\n  will-change: top, left;\n  visibility: ", ";\n  z-index: ", ";\n  box-shadow: ", ";\n  padding: ", " 0;\n  min-width: ", "px;\n  max-width: ", "px;\n\n  &:focus {\n    outline: none;\n  }\n"])), "var(--ds-surface-overlay, white)", "var(--ds-border-radius-100, 3px)", function (props) {
  return props.isOpen ? 'visible' : 'hidden';
}, _constants.layers.dialog, "var(--ds-shadow-overlay, ".concat("0 4px 8px -2px ".concat(_colors.N50A, ", 0 0 1px ").concat(_colors.N60A), ")"), "var(--ds-space-075, 6px)", 25 * (0, _constants.gridSize)(), 50 * (0, _constants.gridSize)());
exports.AutocompleteContainer = AutocompleteContainer;
var AutocompleteOptionsContainer = _styled.default.div(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  max-height: ", "px;\n  overflow: auto;\n"])), 36 * (0, _constants.gridSize)());
exports.AutocompleteOptionsContainer = AutocompleteOptionsContainer;
var OptionList = _styled.default.ul(_templateObject3 || (_templateObject3 = (0, _taggedTemplateLiteral2.default)(["\n  list-style: none;\n  margin: 0;\n  padding: 0;\n"])));
exports.OptionList = OptionList;
var AutocompleteLoadingFooter = _styled.default.div(_templateObject4 || (_templateObject4 = (0, _taggedTemplateLiteral2.default)(["\n  display: flex;\n  justify-content: center;\n  color: ", ";\n  font-style: italic;\n  padding: ", ";\n  text-align: center;\n  ", ";\n"])), "var(--ds-text-subtlest, ".concat(_colors.N200, ")"), "var(--ds-space-150, 12px)", function (props) {
  return props.hasOptions ? // eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage
  (0, _react.css)(_templateObject5 || (_templateObject5 = (0, _taggedTemplateLiteral2.default)(["\n          border-top: solid 1px ", ";\n          margin-top: ", ";\n          /* 3/2 + 3/4 */\n          padding-top: ", "px;\n        "])), "var(--ds-border, ".concat(_colors.N40, ")"), "var(--ds-space-075, 6px)", 9 / 4 * (0, _constants.gridSize)()) : '';
});
exports.AutocompleteLoadingFooter = AutocompleteLoadingFooter;