"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withIntlProvider = void 0;
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _reactIntlNext = require("react-intl-next");
var _excluded = ["locale"];
var withIntlProvider = function withIntlProvider(WrappedComponent) {
  return function (props) {
    var locale = props.locale,
      rest = (0, _objectWithoutProperties2.default)(props, _excluded);
    if (locale) {
      return /*#__PURE__*/_react.default.createElement(_reactIntlNext.IntlProvider, {
        locale: locale
      }, /*#__PURE__*/_react.default.createElement(WrappedComponent, rest));
    }
    return /*#__PURE__*/_react.default.createElement(WrappedComponent, rest);
  };
};
exports.withIntlProvider = withIntlProvider;