"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SyntaxHelpContainer = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _colors = require("@atlaskit/theme/colors");
var _templateObject;
var SyntaxHelpContainer = _styled.default.div(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  /* Override background styles for our button to match designs */\n\n  > a {\n    background: ", ";\n    border-radius: 100%;\n    /* Fill the remaining vertical space for a single line in our editor and space between buttons */\n    margin: ", ";\n\n    &:hover {\n      background: ", ";\n    }\n\n    &:focus {\n      background: ", ";\n    }\n\n    &:active,\n    &[data-firefox-is-active='true'] {\n      background: ", ";\n    }\n\n    &[disabled] {\n      background: ", ";\n    }\n  }\n"])), "var(--ds-background-neutral-bold, ".concat(_colors.N70, ")"), "var(--ds-space-050, 4px)", "var(--ds-background-neutral-bold-hovered, ".concat(_colors.N500, ")"), "var(--ds-background-neutral-bold, ".concat(_colors.N70, ")"), "var(--ds-background-neutral-bold-pressed, ".concat(_colors.N600, ")"), "var(--ds-background-disabled, ".concat(_colors.N50, ")"));
exports.SyntaxHelpContainer = SyntaxHelpContainer;