"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.JQLEditorControlsContent = void 0;
var _react = _interopRequireDefault(require("react"));
var _useEditorTheme = require("../../hooks/use-editor-theme");
var _expandToggle = require("./expand-toggle");
var _search = require("./search");
var _syntaxHelp = require("./syntax-help");
var JQLEditorControlsContent = function JQLEditorControlsContent() {
  var _useEditorThemeContex = (0, _useEditorTheme.useEditorThemeContext)(),
    isSearch = _useEditorThemeContex.isSearch;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_expandToggle.ExpandToggle, null), /*#__PURE__*/_react.default.createElement(_syntaxHelp.SyntaxHelp, null), isSearch && /*#__PURE__*/_react.default.createElement(_search.Search, null));
};
exports.JQLEditorControlsContent = JQLEditorControlsContent;