import { css } from '@emotion/react';
import styled from '@emotion/styled';
import { hiddenMixin } from '../../../common/styled';
export const HelpContainer = styled.div`
  display: flex;
  margin-left: auto;
  margin-right: 0;
  flex-shrink: 0;
  padding: 0 ${"var(--ds-space-100, 8px)"};

  > * + * {
    margin-left: ${"var(--ds-space-200, 16px)"};
  }

  ${props => props.isVisible ? css`
          visibility: visible;
          opacity: 1;
          transition: opacity 250ms cubic-bezier(0.15, 1, 0.3, 1);
        ` : css`
          ${hiddenMixin};
          opacity: 0;
        `}
`;