import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
import { css } from '@emotion/react';
import styled from '@emotion/styled';
import { N200, N40, N50A, N60A } from '@atlaskit/theme/colors';
// eslint-disable-next-line @atlaskit/design-system/no-deprecated-imports
import { gridSize, layers } from '@atlaskit/theme/constants';
export var AutocompleteContainer = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: absolute;\n  background-color: ", ";\n  border-radius: ", ";\n  will-change: top, left;\n  visibility: ", ";\n  z-index: ", ";\n  box-shadow: ", ";\n  padding: ", " 0;\n  min-width: ", "px;\n  max-width: ", "px;\n\n  &:focus {\n    outline: none;\n  }\n"])), "var(--ds-surface-overlay, white)", "var(--ds-border-radius-100, 3px)", function (props) {
  return props.isOpen ? 'visible' : 'hidden';
}, layers.dialog, "var(--ds-shadow-overlay, ".concat("0 4px 8px -2px ".concat(N50A, ", 0 0 1px ").concat(N60A), ")"), "var(--ds-space-075, 6px)", 25 * gridSize(), 50 * gridSize());
export var AutocompleteOptionsContainer = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  max-height: ", "px;\n  overflow: auto;\n"])), 36 * gridSize());
export var OptionList = styled.ul(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  list-style: none;\n  margin: 0;\n  padding: 0;\n"])));
export var AutocompleteLoadingFooter = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  display: flex;\n  justify-content: center;\n  color: ", ";\n  font-style: italic;\n  padding: ", ";\n  text-align: center;\n  ", ";\n"])), "var(--ds-text-subtlest, ".concat(N200, ")"), "var(--ds-space-150, 12px)", function (props) {
  return props.hasOptions ? // eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage
  css(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n          border-top: solid 1px ", ";\n          margin-top: ", ";\n          /* 3/2 + 3/4 */\n          padding-top: ", "px;\n        "])), "var(--ds-border, ".concat(N40, ")"), "var(--ds-space-075, 6px)", 9 / 4 * gridSize()) : '';
});