import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;
import { css } from '@emotion/react';
import styled from '@emotion/styled';
import { N0, N40, N50, N500, R400 } from '@atlaskit/theme/colors';
// eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage
export var UserContainer = styled.span(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: inline-flex;\n  align-items: center;\n  height: ", ";\n  padding: 1px;\n  border-radius: 10px;\n  cursor: pointer;\n  user-select: none;\n\n  ", "\n"])), "var(--ds-space-200, 16px)", function (_ref) {
  var selected = _ref.selected,
    error = _ref.error;
  if (selected) {
    if (error) {
      return css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n          color: ", ";\n          background-color: ", ";\n          text-decoration: wavy underline;\n          text-decoration-thickness: 1px;\n          text-decoration-skip-ink: none;\n          text-decoration-color: ", ";\n        "])), "var(--ds-text-inverse, ".concat(N0, ")"), "var(--ds-background-danger-bold, ".concat(R400, ")"), "var(--ds-text-inverse, ".concat(N0, ")"));
    } else {
      return css(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n          color: ", ";\n          background-color: ", ";\n          box-shadow: 0 0 0 1px ", ";\n        "])), "var(--ds-text, ".concat(N0, ")"), "var(--ds-background-selected, ".concat(N500, ")"), "var(--ds-border-selected, transparent)");
    }
  } else {
    if (error) {
      return css(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n          color: ", ";\n          background-color: ", ";\n          text-decoration: wavy underline;\n          text-decoration-thickness: 1px;\n          text-decoration-skip-ink: none;\n          text-decoration-color: ", ";\n\n          &:hover {\n            background-color: ", ";\n          }\n        "])), "var(--ds-text-subtle, ".concat(N500, ")"), "var(--ds-background-neutral, ".concat(N40, ")"), "var(--ds-text-danger, ".concat(R400, ")"), "var(--ds-background-neutral-hovered, ".concat(N50, ")"));
    } else {
      return css(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n          color: ", ";\n          background-color: ", ";\n\n          &:hover {\n            background-color: ", ";\n          }\n        "])), "var(--ds-text-subtle, ".concat(N500, ")"), "var(--ds-background-neutral, ".concat(N40, ")"), "var(--ds-background-neutral-hovered, ".concat(N50, ")"));
    }
  }
});
export var NameContainer = styled.span(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  margin-left: ", ";\n  margin-right: ", ";\n"])), "var(--ds-space-075, 6px)", "var(--ds-space-100, 8px)");

/* Override Avatar styles to match design spec */
// eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage
export var AvatarWrapper = styled.span(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  > div {\n    top: 3px;\n\n    > span {\n      margin: 0;\n    }\n  }\n"])));