/// <reference types="react" />
import { PluginKeymap } from '../../../common/plugin-keymap';
import { AutocompleteAnalyticsAttributes, SelectableAutocompleteOption } from '../types';
type Props = {
    options: SelectableAutocompleteOption[];
    loading: boolean;
    keymap: PluginKeymap;
    onClick: (option: SelectableAutocompleteOption, analyticsAttributes: AutocompleteAnalyticsAttributes) => void;
};
declare const AutocompleteDropdown: ({ options, loading, keymap, onClick }: Props) => JSX.Element;
export default AutocompleteDropdown;
