import { JQLParser } from '@atlassianlabs/jql-parser';
import { Token } from 'antlr4ts';
import { RecognitionException } from 'antlr4ts/RecognitionException';
import { IntlShape } from 'react-intl-next';
/**
 * Show the appropriate error message when parsing JQL fails and 0 or more tokens were expected.
 *
 * If no `expectedTokens` were provided then we'll attempt to find viable tokens to suggest from the provided
 * exception/parser state.
 */
export declare const handleExpectedTokensError: (recognizer: JQLParser, currentToken: Token, expectedTokens: string[], intl: IntlShape, exception?: RecognitionException) => string;
