import React, { ComponentClass, FunctionComponent } from 'react';
type WithIntlProviderProps = {
    /**
     * React-intl locale. This should be set to "en" if alternate message sets are not being loaded higher in the React
     * tree.
     */
    locale?: string;
};
export declare const withIntlProvider: <Props extends WithIntlProviderProps>(WrappedComponent: React.FunctionComponent<Omit<Props, "locale">> | React.ComponentClass<Omit<Props, "locale">, any>) => (props: Props) => JSX.Element;
export {};
