import { Node } from 'prosemirror-model';
/**
 * Return the Prosemirror document position that maps to the provided plain text position.
 *
 * @param doc Prosemirror document
 * @param textPosition Text position to find in the Prosemirror document.
 */
declare const getDocumentPosition: (doc: Node, textPosition: number) => number;
export default getDocumentPosition;
