# @atlassianlabs/jql-editor

## 3.1.9

[![Labs version](https://img.shields.io/badge/labs-2.0.1-blue)](https://www.npmjs.com/package/@atlassianlabs/jql-editor)

### Patch Changes

- [`7926dc060ff`](https://bitbucket.org/atlassian/atlassian-frontend/commits/7926dc060ff) - Clamp antlr4ts version to 0.5.0-alpha.4

## 3.1.8

### Patch Changes

- [`f04004ec277`](https://bitbucket.org/atlassian/atlassian-frontend/commits/f04004ec277) - Extract common JQL editor types, constants and utilities to separate package.

## 3.1.7

### Patch Changes

- [`5f5ba16de66`](https://bitbucket.org/atlassian/atlassian-frontend/commits/5f5ba16de66) - [ED-13910] Fix prosemirror types

## 3.1.6

### Patch Changes

- [`18344c31ea3`](https://bitbucket.org/atlassian/atlassian-frontend/commits/18344c31ea3) - [ED-13910] Fix EditorView getPos type

## 3.1.5

[![Labs version](https://img.shields.io/badge/labs-2.0.0-blue)](https://www.npmjs.com/package/@atlassianlabs/jql-editor)

### Patch Changes

- [`d6d8c718bd8`](https://bitbucket.org/atlassian/atlassian-frontend/commits/d6d8c718bd8) - Internal change to enforce token usage for spacing properties. There is no expected visual or behaviour change.

## 3.1.4

### Patch Changes

- [`9d00501a414`](https://bitbucket.org/atlassian/atlassian-frontend/commits/9d00501a414) - Ensure legacy types are published for TS 4.5-4.8

## 3.1.3

### Patch Changes

- [`a142ba1aa28`](https://bitbucket.org/atlassian/atlassian-frontend/commits/a142ba1aa28) - [ED17172] Bump prosemirror-model to 1.16.0 and prosemirror-view to 1.23.7 and removed work-arounds for fixed issues

## 3.1.2

### Patch Changes

- [`41fae2c6f68`](https://bitbucket.org/atlassian/atlassian-frontend/commits/41fae2c6f68) - Upgrade Typescript from `4.5.5` to `4.9.5`

## 3.1.1

### Patch Changes

- [`5fbee461cc7`](https://bitbucket.org/atlassian/atlassian-frontend/commits/5fbee461cc7) - Internal change to enforce token usage for spacing properties. There is no expected visual or behaviour change.

## 3.1.0

### Minor Changes

- [`56507598609`](https://bitbucket.org/atlassian/atlassian-frontend/commits/56507598609) - Skip minor dependency bump

### Patch Changes

- Updated dependencies

## 3.0.15

### Patch Changes

- [`0ffb55018c9`](https://bitbucket.org/atlassian/atlassian-frontend/commits/0ffb55018c9) - Revert "[ED-17172] Bumped prosemirror-view from 1.23.2 to 1.23.7 and removed work-around for fixed issues"

## 3.0.14

### Patch Changes

- [`2e01c9c74b5`](https://bitbucket.org/atlassian/atlassian-frontend/commits/2e01c9c74b5) - DUMMY remove before merging to master; dupe adf-schema via adf-utils
- Updated dependencies

## 3.0.13

### Patch Changes

- [`26a9fd08b51`](https://bitbucket.org/atlassian/atlassian-frontend/commits/26a9fd08b51) - Migrated use of `gridSize` to space tokens where possible. There is no expected visual or behaviour change.

## 3.0.12

### Patch Changes

- [`72d6c14410f`](https://bitbucket.org/atlassian/atlassian-frontend/commits/72d6c14410f) - Improve performance of JQL editor syntax highlighting for long queries
- Updated dependencies

## 3.0.11

### Patch Changes

- [`5722aeccae9`](https://bitbucket.org/atlassian/atlassian-frontend/commits/5722aeccae9) - Use JQL string normalizer from jql-ast package
- Updated dependencies

## 3.0.10

### Patch Changes

- [`4ca006051df`](https://bitbucket.org/atlassian/atlassian-frontend/commits/4ca006051df) - Migrate @atlassianlabs/jql-ast package to the Atlassian Frontend monorepo

## 3.0.9

### Patch Changes

- Updated dependencies

## 3.0.8

### Patch Changes

- Updated dependencies

## 3.0.7

### Patch Changes

- [`6455cf006b3`](https://bitbucket.org/atlassian/atlassian-frontend/commits/6455cf006b3) - Builds for this package now pass through a tokens babel plugin, removing runtime invocations of the tokens() function and improving performance.

## 3.0.6

### Patch Changes

- [`f1991b2e517`](https://bitbucket.org/atlassian/atlassian-frontend/commits/f1991b2e517) - Add test ids for JQL builder messages

## 3.0.5

### Patch Changes

- Updated dependencies

## 3.0.4

### Patch Changes

- Updated dependencies

## 3.0.3

### Patch Changes

- Updated dependencies

## 3.0.2

### Patch Changes

- [`fbd7a36e956`](https://bitbucket.org/atlassian/atlassian-frontend/commits/fbd7a36e956) - Upgrade react-sweet-state from `2.5.2` to `2.6.5`

## 3.0.1

### Patch Changes

- [`00db35ffffb`](https://bitbucket.org/atlassian/atlassian-frontend/commits/00db35ffffb) - Bug fix enter key submits form on deprecated list item

## 3.0.0

### Major Changes

- [`4b0fef2fb4a`](https://bitbucket.org/atlassian/atlassian-frontend/commits/4b0fef2fb4a) - Added an ability to render external messages of warning and info types

## 2.5.4

### Patch Changes

- [`af6e73a1e17`](https://bitbucket.org/atlassian/atlassian-frontend/commits/af6e73a1e17) - Bumping dependencies via Renovate:

  - react-loosely-lazy

## 2.5.3

### Patch Changes

- [`8cc2f888c83`](https://bitbucket.org/atlassian/atlassian-frontend/commits/8cc2f888c83) - Upgrade Typescript from `4.3.5` to `4.5.5`

## 2.5.2

[![Labs version](https://img.shields.io/badge/labs-1.2.0-blue)](https://www.npmjs.com/package/@atlassianlabs/jql-editor)

### Patch Changes

- [`b2e81642b07`](https://bitbucket.org/atlassian/atlassian-frontend/commits/b2e81642b07) - Use default import for version.json and specify fixed prosemirror-transform dependency version.
- [`5a4217aeed6`](https://bitbucket.org/atlassian/atlassian-frontend/commits/5a4217aeed6) - Add polyfill for node assert and util modules.

## 2.5.1

### Patch Changes

- [`8d4228767b0`](https://bitbucket.org/atlassian/atlassian-frontend/commits/8d4228767b0) - Upgrade Typescript from `4.2.4` to `4.3.5`.

## 2.5.0

### Minor Changes

- [`36578cb573e`](https://bitbucket.org/atlassian/atlassian-frontend/commits/36578cb573e) - Adding warning message to jql editor

## 2.4.0

### Minor Changes

- [`09c0e788a9a`](https://bitbucket.org/atlassian/atlassian-frontend/commits/09c0e788a9a) - [ux] Exposing the isDeprecated property and adding handling for what to do when a field is deprecated

## 2.3.0

[![Labs version](https://img.shields.io/badge/labs-1.1.0-blue)](https://www.npmjs.com/package/@atlassianlabs/jql-editor)

### Minor Changes

- [`b21a916a079`](https://bitbucket.org/atlassian/atlassian-frontend/commits/b21a916a079) - Migrate from styled-components@3 to emotion.

## 2.2.0

### Minor Changes

- [`be4b4bf38e4`](https://bitbucket.org/atlassian/atlassian-frontend/commits/be4b4bf38e4) - [ux] Add ability to force external focus via ref

## 2.1.11

### Patch Changes

- Updated dependencies

## 2.1.10

### Patch Changes

- Updated dependencies

## 2.1.9

### Patch Changes

- [`5c5bde76a97`](https://bitbucket.org/atlassian/atlassian-frontend/commits/5c5bde76a97) - Updating deleted token to new token in JQL editor

## 2.1.8

### Patch Changes

- [`cb2392f6d33`](https://bitbucket.org/atlassian/atlassian-frontend/commits/cb2392f6d33) - Upgrade to TypeScript 4.2.4
- Updated dependencies

## 2.1.7

### Patch Changes

- Updated dependencies

## 2.1.6

### Patch Changes

- Updated dependencies

## 2.1.5

### Patch Changes

- [`be409d2d464`](https://bitbucket.org/atlassian/atlassian-frontend/commits/be409d2d464) - Migrate @atlassianlabs/jql-editor package to the Atlassian Frontend monorepo

## 2.1.4

[![Labs version](https://img.shields.io/badge/labs-1.0.0-blue)](https://www.npmjs.com/package/@atlassianlabs/jql-editor)

### Patch Changes

- 886bd63: Bump labs version.
- Updated dependencies [886bd63]
  - @atlassianlabs/jql-ast@1.0.5
  - @atlassianlabs/jql-autocomplete@1.1.7
  - @atlassianlabs/jql-parser@1.0.5

## 2.1.3

[![Labs version](https://img.shields.io/badge/labs-0.0.3-blue)](https://www.npmjs.com/package/@atlassianlabs/jql-editor)

### Patch Changes

- 97fbe8a: Update README documentation.

## 2.1.2

### Patch Changes

- 3121abb: Downgrade @atlaskit/button to 16.1.2

## 2.1.1

### Patch Changes

- 6c5cf6e: Move clean-publish to dev dependencies

## 2.1.0

### Minor Changes

- 28ee098: Instrument JQL editor with @atlaskit/tokens for dark theme support
- 6a33a21: Allow syntax help links to be opened in Forge apps.

### Patch Changes

- 548f567: Add react-hooks eslint plugin

## 2.0.0

[![Labs version](https://img.shields.io/badge/labs-0.0.1-blue)](https://www.npmjs.com/package/@atlassianlabs/jql-editor)

### Major Changes

- 80bebea: Provide locale prop instead of intl object when rendering the JQL editor.

### Patch Changes

- 6c31f29: Migrate packages from tslint to eslint
- 0df8576: Move analytics hook into jql-editor package.
- Updated dependencies [6c31f29]
  - @atlassianlabs/jql-ast@1.0.4
  - @atlassianlabs/jql-autocomplete@1.1.6
  - @atlassianlabs/jql-parser@1.0.4

## 1.4.2

### Patch Changes

- 70e0706: Bump dependencies to patch vulnerabilities
- Updated dependencies [70e0706]
- Updated dependencies [2c5b7a7]
  - @atlassianlabs/jql-analytics@1.0.3
  - @atlassianlabs/jql-ast@1.0.3
  - @atlassianlabs/jql-autocomplete@1.1.5
  - @atlassianlabs/jql-parser@1.0.3

## 1.4.1

### Patch Changes

- 0aa9d92: Fix for scrollbar in compact mode

## 1.4.0

### Minor Changes

- 99dde51: Support AtlasKit-like field styling

  - Now editor won't render search related elements (search button, "Enter to search" text, etc.) if `onSearch` callback
    isn't provided
  - Now editor exposes an `isCompact` prop to control spacing: `false` to match AK's default field styling, and `true`
    to match AK's compact field styling (generally used for search purposes)

### Patch Changes

- 52ad1a8: VULN-570232 - Bump lodash to 4.17.21
- Updated dependencies [52ad1a8]
- Updated dependencies [cb93263]
  - @atlassianlabs/jql-autocomplete@1.1.4

## 1.3.4

### Patch Changes

- 47c1872: Fix cropped editor controls outlines

## 1.3.3

### Patch Changes

- f46b4ff: Use isolatedModules to fix Babel transpilation of type only exports.
- 5a27d1f: Fix unexpected scrollbars appearing in the editor when search button contains the loading spinner
- a9b1d6a: Replace search button spinner with LoadingButton component.
- Updated dependencies [f46b4ff]
  - @atlassianlabs/jql-analytics@1.0.2
  - @atlassianlabs/jql-ast@1.0.2
  - @atlassianlabs/jql-autocomplete@1.1.3
  - @atlassianlabs/jql-parser@1.0.2

## 1.3.2

### Patch Changes

- da9680a: Additional attributes for debug messages and try/catch when computing autocomplete position.

## 1.3.1

### Patch Changes

- 1906662: Bump react-loosely-lazy version.

## 1.3.0

### Minor Changes

- f201504: Send a debug message when external JQL errors are rendered or when updating attributes throws an error.

### Patch Changes

- 626bf63: (a11y) Change operator color to G300
- bc19fe3: Update storybook and de-dupe babel dependencies.
- 6bb97a9: Add feature check for ResizeObserver.
- Updated dependencies [bc19fe3]
- Updated dependencies [f201504]
  - @atlassianlabs/jql-analytics@1.0.1
  - @atlassianlabs/jql-ast@1.0.1
  - @atlassianlabs/jql-autocomplete@1.1.2
  - @atlassianlabs/jql-parser@1.0.1

## 1.2.2

### Patch Changes

- 6e61cba: Fix an issue where rich inline nodes would throw on insertion when react-sweet-state batched updates are
  disabled
- 609801f: Fix error intialising editor when batch updates are disabled.
- Updated dependencies [1d78273]
  - @atlassianlabs/jql-autocomplete@1.1.1

## 1.2.1

### Patch Changes

- 05acf3c: Add nodeType attribute to autocompleteOption selected event
- 46e45a6: Show invalid border when editor is focused and dynamically hide JQL error messages.

## 1.2.0

### Minor Changes

- 66a923d: Remove WHERE and ORDER_BY constant re-exports.

## 1.1.0

### Minor Changes

- 19d9d06: Improve autocomplete behavior for list functions

### Patch Changes

- f646f32: Fix an issue where empty paragraphs would be collapsed into a single line in read only mode
- e1b9399: Prevent search command being repeatedly executed when holding down Enter key.
- 669d464: Sort operators when showing in autocomplete.
- 9bdef19: Fix an issue where rich inline nodes would replace the wrong position for quoted AAIDs
- d6ad0b8: Update design for syntax help and expand icons.
- 6d6996d: Fix a bug where autocomplete would remain in loading state after unsubscribing from the previous observable
- fe01952: Add new shortcut (Mod-Shift-z) for redo functionality
- c3cef8a: Update autocomplete replacement position to be inclusive of the entire token underneath the caret for single
  token selections.
- Updated dependencies [1b1139c]
- Updated dependencies [3c957a1]
- Updated dependencies [c3cef8a]
  - @atlassianlabs/jql-autocomplete@1.1.0

## 1.0.0

### Major Changes

- 94c794c: Bump all TypeScript packages to 1.0.0 for release to production. From this point on, semver will be used in
  all packages.

### Patch Changes

- 431d540: Bump ProseMirror dependencies
- 03134f0: Update attributes for JQL insight and external JQL error analytics.
- 20c94ed: Fix inconsistent behavior across browsers when setting caret position around rich inline nodes
- e5e8ff2: When query is syntactically invalid, provide an equivalent valid alternative for hydration purposes
- f8937f6: Use decorations instead of marks around node views. Fixes selection issues when a node view is selected on
  Safari.
- 72c3485: Fix autocomplete positioning when editor is scrolled
- Updated dependencies [03134f0]
- Updated dependencies [94c794c]
  - @atlassianlabs/jql-ast@1.0.0
  - @atlassianlabs/jql-analytics@1.0.0
  - @atlassianlabs/jql-autocomplete@1.0.0
  - @atlassianlabs/jql-parser@1.0.0

## 0.13.0

### Minor Changes

- cf9e417: Add analyticsSource for analytic events.

### Patch Changes

- 039e2b8: Fix bug where start of input was refocused when modifying query in Safari.
- 7420f37: Wrap async editor in error boundary.
- 48c4fb8: Update editor line height and user node height to leave vertical gap between user nodes in adjacent lines
- 4cc2590: Fix autocomplete position when a line is inserted/deleted and line numbers are toggled
- Updated dependencies [cf9e417]
  - @atlassianlabs/jql-analytics@0.1.0
  - @atlassianlabs/jql-ast@0.11.1

## 0.12.0

### Minor Changes

- 17f2a3c: Remove email from from user nodes on autocomplete insertion when data is provided by REST API

## 0.11.2

### Patch Changes

- c45b5d2: Make autocomplete offset parent rect available before render

## 0.11.1

### Patch Changes

- d68a20b: Extract portalling logic from react-sweet-state into its own context provider
- a54c0d6: Optimize performance of autocomplete dropdown positioning logic

## 0.11.0

### Minor Changes

- ab711f7: Add support for external validation messages.
- aadaabb: Hydration of rich inline nodes
- a3b9113: User rich inline node UI
- 29a84e6: Add onEditorMounted callback prop to the editor.

### Patch Changes

- 04c6137: Fix positioning of validation tooltip and add analytic events when editor controls are clicked.
- 25c1cf0: Suggest EMPTY operand after a list operator. Improve autocomplete vertical positioning logic.
- 587e213: Fix auto-insertion of opening parenthesis when selecting a rich inline node after a list operator
- 6f00e0d: Emit a debounced analytics event when autocomplete options are retrieved.
- d93a20d: Fix selected state not being applied to rich inline nodes in some situations
- 155ac26: Use decorations instead of marks for syntax highlighting
- bed8a9f: Refactor autocomplete state logic and fix autocomplete positioning following operands
- fbf252f: Do not process suggestions if autocomplete is going to stay closed on next update
- 6d76a16: Fix autocomplete selected state when an option is hovered after a keyboard interaction
- 629bda6: Update attributes computed by the jql-insights-listener.
- 04c6137: Use single subscription when fetching autocomplete data.
- 96d6447: User rich inline node design updates
- f9bbcd7: Export JQL anonymizer visitor and JQL insights listener from jql-ast package.
- d4c7b04: Revert move from marks to decorations
- Updated dependencies [04c6137]
- Updated dependencies [f4a3598]
- Updated dependencies [629bda6]
- Updated dependencies [f9bbcd7]
  - @atlassianlabs/jql-analytics@0.0.3
  - @atlassianlabs/jql-ast@0.11.0

## 0.10.1

### Patch Changes

- b8b07e5: Set autocompleteProvider on update of sweet state store.
- Updated dependencies [8bcc57f]
- Updated dependencies [4c6f34b]
  - @atlassianlabs/jql-parser@0.11.0
  - @atlassianlabs/jql-ast@0.10.1
  - @atlassianlabs/jql-autocomplete@0.7.2

## 0.10.0

### Minor Changes

- 6f1a925: Update JQL editor API to accept autocompleteProvider prop.

### Patch Changes

- 6f1a925: Move editor view initialisation into react sweet state.
- a71c3ac: Add tooltip error message for invalid tokens.
- 20eb798: Improved definition of valid operands for different terminal clause types
- b7bed94: Add line numbers for multiline queries and miscellaneous design updates.
- 23ff3b9: Move jql editor analytics hook into its own package.
- 0a4e249: Add isSearching prop to the JQLEditor and minor reorganisation of editor state management.
- 8608c19: Move portal rendering logic into sweet state.
- 0a2125a: Move validation message and syntax help into footer component.
- 95d6d7f: Update design of editor expand and search controls.
- e0835ee: Clean up autocomplete logic around the list rule
- Updated dependencies [95d6d7f]
- Updated dependencies [20eb798]
- Updated dependencies [23ff3b9]
- Updated dependencies [e0835ee]
  - @atlassianlabs/jql-ast@0.10.0
  - @atlassianlabs/jql-parser@0.10.0
  - @atlassianlabs/jql-autocomplete@0.7.1
  - @atlassianlabs/jql-analytics@0.0.2

## 0.9.0

### Minor Changes

- 352d19c: Use babel for build output.

### Patch Changes

- Updated dependencies [352d19c]
  - @atlassianlabs/jql-ast@0.9.0
  - @atlassianlabs/jql-autocomplete@0.7.0
  - @atlassianlabs/jql-parser@0.9.0

## 0.8.2

### Patch Changes

- 63c7f76: Use es2017 target to align with jira.
- Updated dependencies [63c7f76]
  - @atlassianlabs/jql-ast@0.8.1
  - @atlassianlabs/jql-autocomplete@0.6.2
  - @atlassianlabs/jql-parser@0.8.1

## 0.8.1

### Patch Changes

- ef753ba: Move token constants from jql-parser to jql-ast package.
- Updated dependencies [ef753ba]
  - @atlassianlabs/jql-ast@0.8.0
  - @atlassianlabs/jql-parser@0.8.0
  - @atlassianlabs/jql-autocomplete@0.6.1

## 0.8.0

### Minor Changes

- df76049: Reorganise editor layout elements and change `defaultQuery` prop to `query`.

### Patch Changes

- 881a846: Add separate cjs and esm build outputs.
- 881a846: Add error boundary and async component to JQL editor.
- ab235ac: Operator-specific parsing for terminal clauses. Consolidation of terminal clause and operator nodes in AST.
- 22c3763: Accessibility improvements for JQL editor controls.
- Updated dependencies [881a846]
- Updated dependencies [ab235ac]
  - @atlassianlabs/jql-ast@0.7.0
  - @atlassianlabs/jql-autocomplete@0.6.0
  - @atlassianlabs/jql-parser@0.7.0

## 0.7.1

### Patch Changes

- 75d6995: Autocomplete accessibility
- ae271d8: Add error message when field is missing a 'cf' prefix.
- 0df4e5e: Add validation message for invalid custom field ids.
- b18b0f7: Add validation messages for unfinished string and illegal escape sequence.
- 2b83a95: Highlight matching part of the user query in autocomplete suggestions
- 82dfd45: Update grammar to distinguish between invalid and unclosed quote strings.
- 003ad19: Show appropriate error message when an invalid token is used after a sort direction.
- Updated dependencies [0df4e5e]
- Updated dependencies [82dfd45]
  - @atlassianlabs/jql-autocomplete@0.5.0
  - @atlassianlabs/jql-parser@0.6.0
  - @atlassianlabs/jql-ast@0.6.2

## 0.7.0

### Minor Changes

- Export JQLClause type.

## 0.6.0

### Minor Changes

- fdde5d1: Add clause type to field rule context. Pass clause type to onFields callback.

### Patch Changes

- fcdedf6: General improvements and JQL function support for editor validation.
- 0272b09: Add validation message for malformed field property ids.
- 380062a: Update jql-autocomplete to extend a grammar agnostic base class and make autocomplete options configurable.
- 7daca20: Additional test cases for JQL validation.
- Updated dependencies [fcdedf6]
- Updated dependencies [0272b09]
- Updated dependencies [69c3a9a]
- Updated dependencies [380062a]
- Updated dependencies [fdde5d1]
- Updated dependencies [fcdedf6]
  - @atlassianlabs/jql-autocomplete@0.4.0
  - @atlassianlabs/jql-ast@0.6.0

## 0.5.4

### Patch Changes

- ae89e98: Rename jql-autosuggest package to jql-autocomplete
- Updated dependencies [ae89e98]
  - @atlassianlabs/jql-autocomplete@0.3.0

## 0.5.3

### Patch Changes

- 35b5a1c: Rename jql-grammar package to jql-parser
- Updated dependencies [35b5a1c]
  - @atlassianlabs/jql-parser@0.5.0
  - @atlassianlabs/jql-ast@0.5.1
  - @atlassianlabs/jql-autosuggest@0.2.1

## 0.5.2

### Patch Changes

- 7b5024d: Insert new line on Shift-Enter. Add data-testid attributes.

## 0.5.1

### Patch Changes

- 17b5ba2: Update validation message when query is updated from the outside

## 0.5.0

### Minor Changes

- 1e4e055: Support field types in autocomplete options
- 5d6f932: Autocomplete analytics

### Patch Changes

- 13f8cf8: Update syntax highlighting to match design specs
- f9b61bd: Improve autocomplete visibility logic so it stays out of the way while navigating the query
- a926994: Correctly handle NOT clauses when producing the AST and update attributes for editor searched event.
- Updated dependencies [a926994]
  - @atlassianlabs/jql-ast@0.5.0

## 0.4.0

### Minor Changes

- 35069b4: Allow plugin configuration to be consumed using React context.
- 1333fcf: Auto insert opening parenthesis following a list operator

### Patch Changes

- Updated dependencies [1333fcf]
  - @atlassianlabs/jql-ast@0.4.0
  - @atlassianlabs/jql-autosuggest@0.2.0

## 0.3.1

### Patch Changes

- ba8e01b: Fix resetting editor state when defaultQuery changes.

## 0.3.0

### Minor Changes

- ca9e4c9: Keyboard support

### Patch Changes

- d04c2fb: Improve position detection of multiline queries.
- 21940c1: Update dependencies with security vulnerabilities reported by SourceClear.
- 3bae29a: Add atlaskit analytics listener and search event for JQL editor.
- Updated dependencies [d04c2fb]
- Updated dependencies [21940c1]
  - @atlassianlabs/jql-ast@0.3.0
  - @atlassianlabs/jql-autosuggest@0.1.2
  - @atlassianlabs/jql-grammar@0.4.1

## 0.2.0

### Minor Changes

- b172210: Autocomplete for quoted strings

### Patch Changes

- 9cff3fc: Update jest and typedoc packages.
- 5b235f8: Add expand/collapse toggle to the editor.
- 9cff3fc: Update jql-ast to return JQLParseError instead of standard JS Error.
- baadf2a: Add expand/collapse animation for validation message and limit editor to 3 rows in height.
- 9cff3fc: Add validation section message and update editor UI.
- Updated dependencies [b172210]
- Updated dependencies [9cff3fc]
- Updated dependencies [9cff3fc]
  - @atlassianlabs/jql-grammar@0.4.0
  - @atlassianlabs/jql-ast@0.2.1
  - @atlassianlabs/jql-autosuggest@0.1.1

## 0.1.0

### Minor Changes

- 5afdcbd: Introduce autocomplete unhandled rules and position autocomplete based on first suggestion replace position

### Patch Changes

- Updated dependencies [5afdcbd]
  - @atlassianlabs/jql-ast@0.2.0
  - @atlassianlabs/jql-autosuggest@0.1.0
  - @atlassianlabs/jql-grammar@0.3.0

## 0.0.13

### Patch Changes

- 4bb33b8: Update UI for editor controls.
- 83f6b1a: Add onSubmit command which is called when Mod+Enter is pressed.
- 2cbeaaf: Add validation indicator to JQL editor and minor package restructure.
- 857c706: Add syntax help link and hide autocomplete options when editor is blurred.
- Updated dependencies [2cbeaaf]
  - @atlassianlabs/jql-ast@0.1.8
  - @atlassianlabs/jql-autosuggest@0.0.10
  - @atlassianlabs/jql-grammar@0.2.1

## 0.0.12

### Patch Changes

- aaf0931: Update autocomplete plugin API to use RxJS observables

## 0.0.11

### Patch Changes

- Updated dependencies [586fae2]
  - @atlassianlabs/jql-grammar@0.2.0
  - @atlassianlabs/jql-ast@0.1.7
  - @atlassianlabs/jql-autosuggest@0.0.9

## 0.0.10

### Patch Changes

- 126e999: Remove stories from tsconfig.

## 0.0.9

### Patch Changes

- 0440295: Refactor of component rendering for JQL editor plugins
- Updated dependencies [0440295]
  - @atlassianlabs/jql-ast@0.1.6
  - @atlassianlabs/jql-autosuggest@0.0.8

## 0.0.8

### Patch Changes

- Updated dependencies [undefined]
  - @atlassianlabs/jql-grammar@0.1.0
  - @atlassianlabs/jql-ast@0.1.5
  - @atlassianlabs/jql-autosuggest@0.0.7

## 0.0.7

### Patch Changes

- 3c5c70a: Used the tslib package and reduced the size of the output
- Updated dependencies [3c5c70a]
  - @atlassianlabs/jql-ast@0.1.4
  - @atlassianlabs/jql-autosuggest@0.0.6
  - @atlassianlabs/jql-grammar@0.0.6

## 0.0.6

### Patch Changes

- 2e8d06e: Update `jql-autosuggest` to accept a selection range which impacts the matchedText and replacePosition for
  suggestions
- Updated dependencies [2e8d06e]
  - @atlassianlabs/jql-ast@0.1.3
  - @atlassianlabs/jql-autosuggest@0.0.5
  - @atlassianlabs/jql-grammar@0.0.5

## 0.0.5

### Patch Changes

- 6f89567: Improve accuracy of autocomplete suggestions from `jql-autosuggest` package and include information for token
  replacement.
- Updated dependencies [6f89567]
  - @atlassianlabs/jql-ast@0.1.2
  - @atlassianlabs/jql-autosuggest@0.0.4
  - @atlassianlabs/jql-grammar@0.0.4

## 0.0.4

### Patch Changes

- Updated dependencies [982890a]
  - @atlassianlabs/jql-ast@0.1.0

## 0.0.3

### Patch Changes

- 4985a8e: Remove flow types from build
- Updated dependencies [4985a8e]
  - @atlassianlabs/jql-ast@0.0.3
  - @atlassianlabs/jql-autosuggest@0.0.3
  - @atlassianlabs/jql-grammar@0.0.3

## 0.0.2

### Patch Changes

- b6e6e6f: Bump patch version
- Updated dependencies [b6e6e6f]
  - @atlassianlabs/jql-ast@0.0.2
  - @atlassianlabs/jql-autosuggest@0.0.2
  - @atlassianlabs/jql-grammar@0.0.2

## 0.0.1

### Patch Changes

- 898352a: Use bolt for project management.
- bb0f8e5: Move packages to @atlassiansox namespace
- d55b829: Provide ANTLErrorStrategy as an argument when building an AST
- Updated dependencies [898352a]
- Updated dependencies [bb0f8e5]
- Updated dependencies [d55b829]
  - @atlassianlabs/jql-ast@0.0.1
  - @atlassianlabs/jql-autosuggest@0.0.1
  - @atlassianlabs/jql-grammar@0.0.1
