"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.hiddenMixin = exports.TooltipContent = void 0;
var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));
var _react = require("@emotion/react");
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _constants = require("@atlaskit/theme/constants");
var _templateObject, _templateObject2;
// eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage
var hiddenMixin = (0, _react.css)(_templateObject || (_templateObject = (0, _taggedTemplateLiteral2.default)(["\n  clip: rect(1px, 1px, 1px, 1px);\n  clip-path: inset(50%);\n  height: 1px;\n  width: 1px;\n  margin: -1px;\n  overflow: hidden;\n  padding: 0;\n  position: absolute;\n"])));
exports.hiddenMixin = hiddenMixin;
var TooltipContent = _styled.default.div(_templateObject2 || (_templateObject2 = (0, _taggedTemplateLiteral2.default)(["\n  /* CSS reset */\n  font-family: ", ";\n"])), _constants.fontFamily);
exports.TooltipContent = TooltipContent;