"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useEditorViewHasWarnings = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _reactMagneticDi = require("react-magnetic-di");
var _state = require("../../state");
var useEditorViewHasWarnings = function useEditorViewHasWarnings() {
  var _useHydratedDeprecati = (0, _state.useHydratedDeprecations)(),
    _useHydratedDeprecati2 = (0, _slicedToArray2.default)(_useHydratedDeprecati, 1),
    hydratedDeprecations = _useHydratedDeprecati2[0];
  var _useExternalMessages = (0, _state.useExternalMessages)(),
    _useExternalMessages2 = (0, _slicedToArray2.default)(_useExternalMessages, 1),
    externalWarnings = _useExternalMessages2[0].warnings;
  return hydratedDeprecations.length > 0 || externalWarnings.length > 0;
};
exports.useEditorViewHasWarnings = useEditorViewHasWarnings;