"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultAutocompleteProvider = exports.TAB_KEY = exports.JQLAutocompletePluginKey = exports.HOME_KEY = exports.ESCAPE_KEY = exports.ENTER_KEY = exports.END_KEY = exports.CMD_ARROW_UP_KEY = exports.CMD_ARROW_DOWN_KEY = exports.AUTOCOMPLETE_PLUGIN_NAME = exports.ARROW_UP_KEY = exports.ARROW_DOWN_KEY = void 0;
var _prosemirrorState = require("prosemirror-state");
var _empty = require("rxjs/observable/empty");
var AUTOCOMPLETE_PLUGIN_NAME = 'jql-autocomplete-plugin';
exports.AUTOCOMPLETE_PLUGIN_NAME = AUTOCOMPLETE_PLUGIN_NAME;
var ARROW_UP_KEY = 'ArrowUp';
exports.ARROW_UP_KEY = ARROW_UP_KEY;
var ARROW_DOWN_KEY = 'ArrowDown';
exports.ARROW_DOWN_KEY = ARROW_DOWN_KEY;
var CMD_ARROW_UP_KEY = 'Cmd-ArrowUp';
exports.CMD_ARROW_UP_KEY = CMD_ARROW_UP_KEY;
var CMD_ARROW_DOWN_KEY = 'Cmd-ArrowDown';
exports.CMD_ARROW_DOWN_KEY = CMD_ARROW_DOWN_KEY;
var HOME_KEY = 'Home'; // === Fn-Left in Mac
exports.HOME_KEY = HOME_KEY;
var END_KEY = 'End'; // === Fn-Right in Mac
exports.END_KEY = END_KEY;
var ENTER_KEY = 'Enter';
exports.ENTER_KEY = ENTER_KEY;
var ESCAPE_KEY = 'Escape';
exports.ESCAPE_KEY = ESCAPE_KEY;
var TAB_KEY = 'Tab';

// No-op autocomplete provider used when creating the initial state
exports.TAB_KEY = TAB_KEY;
var defaultAutocompleteProvider = {
  onFields: function onFields() {
    return (0, _empty.empty)();
  },
  onOperators: function onOperators() {
    return (0, _empty.empty)();
  },
  onValues: function onValues() {
    return (0, _empty.empty)();
  },
  onFunctions: function onFunctions() {
    return (0, _empty.empty)();
  }
};
exports.defaultAutocompleteProvider = defaultAutocompleteProvider;
var JQLAutocompletePluginKey = new _prosemirrorState.PluginKey(AUTOCOMPLETE_PLUGIN_NAME);
exports.JQLAutocompletePluginKey = JQLAutocompletePluginKey;