"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PluginKeymap = void 0;
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var PluginKeymap = /*#__PURE__*/function () {
  function PluginKeymap() {
    (0, _classCallCheck2.default)(this, PluginKeymap);
    (0, _defineProperty2.default)(this, "keymap", {});
  }
  (0, _createClass2.default)(PluginKeymap, [{
    key: "bindKey",
    value: function bindKey(key, handler) {
      this.keymap = _objectSpread(_objectSpread({}, this.keymap), {}, (0, _defineProperty2.default)({}, key, handler));
    }
  }, {
    key: "bindMultipleKeys",
    value: function bindMultipleKeys(keys, handler) {
      var _this = this;
      keys.forEach(function (key) {
        _this.keymap = _objectSpread(_objectSpread({}, _this.keymap), {}, (0, _defineProperty2.default)({}, key, handler));
      });
    }
  }, {
    key: "unbindKey",
    value: function unbindKey(key) {
      var _this$keymap = this.keymap,
        keyToUnbind = _this$keymap[key],
        rest = (0, _objectWithoutProperties2.default)(_this$keymap, [key].map(_toPropertyKey));
      this.keymap = rest;
    }
  }, {
    key: "getKeyBinding",
    value: function getKeyBinding(key) {
      return this.keymap[key];
    }
  }]);
  return PluginKeymap;
}();
exports.PluginKeymap = PluginKeymap;