"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handleCustomFieldRuleError = void 0;
var _messages = require("../messages");
/**
 * Show the appropriate error message when parsing JQL fails and a custom field rule was expected.
 */
var handleCustomFieldRuleError = function handleCustomFieldRuleError(intl) {
  return intl.formatMessage(_messages.errorMessages.expectingCustomFieldId);
};
exports.handleCustomFieldRuleError = handleCustomFieldRuleError;