"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePortalActionsContext = exports.PortalActionsContext = void 0;
var _react = require("react");
var _noop = _interopRequireDefault(require("lodash/noop"));
var PortalActionsContext = /*#__PURE__*/(0, _react.createContext)({
  onCreatePortal: _noop.default,
  onDestroyPortal: _noop.default,
  onRegisterPluginContainer: _noop.default
});
exports.PortalActionsContext = PortalActionsContext;
var usePortalActionsContext = function usePortalActionsContext() {
  return (0, _react.useContext)(PortalActionsContext);
};
exports.usePortalActionsContext = usePortalActionsContext;