import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
/**
 * Adapted from https://bitbucket.org/atlassian/atlassian-frontend/src/master/packages/analytics/analytics-listeners/src/fabric/FabricEditorListener.tsx
 * In future if this package is migrated into the Atlassian Frontend repo, then this code and related logic should be
 * moved into @atlaskit/analytics-listeners.
 */

import React from 'react';
import { ANALYTICS_CHANNEL } from '@atlassianlabs/jql-editor-common';
import { AnalyticsListener } from '@atlaskit/analytics-next';
import { handleEvent } from './handle-event';
import Logger from './helpers/logger';
// eslint-disable-next-line @repo/internal/react/no-class-components
var JQLEditorAnalyticsListener = /*#__PURE__*/function (_React$Component) {
  _inherits(JQLEditorAnalyticsListener, _React$Component);
  var _super = _createSuper(JQLEditorAnalyticsListener);
  function JQLEditorAnalyticsListener(props) {
    var _this;
    _classCallCheck(this, JQLEditorAnalyticsListener);
    _this = _super.call(this, props);
    _defineProperty(_assertThisInitialized(_this), "handleEventWrapper", function (event) {
      handleEvent(event, _this.logger, _this.props.client);
    });
    _this.logger = new Logger({
      logLevel: props.logLevel
    });
    return _this;
  }
  _createClass(JQLEditorAnalyticsListener, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/React.createElement(AnalyticsListener, {
        onEvent: this.handleEventWrapper,
        channel: ANALYTICS_CHANNEL
      }, this.props.children);
    }
  }]);
  return JQLEditorAnalyticsListener;
}(React.Component);
export { JQLEditorAnalyticsListener as default };