import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8, _templateObject9;
import { css } from '@emotion/react';
import styled from '@emotion/styled';
import { N100, N20, N50, N800 } from '@atlaskit/theme/colors';
import { codeFontFamily, fontFamily,
// eslint-disable-next-line @atlaskit/design-system/no-deprecated-imports
gridSize } from '@atlaskit/theme/constants';
export var TooltipContent = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  font-family: ", ";\n"])), fontFamily);

// eslint-disable-next-line @atlaskit/design-system/ensure-design-token-usage
export var OptionListItem = styled.li(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  cursor: pointer;\n  padding: ", " ", "px;\n  font-family: ", ";\n  line-height: 24px;\n  ", "\n  ", "\n"])), "var(--ds-space-075, 6px)", 5 / 4 * gridSize(), codeFontFamily, function (props) {
  return props.isSelected ? css(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n          background: ", ";\n        "])), "var(--ds-background-neutral-subtle-hovered, ".concat(N20, ")")) : '';
}, function (props) {
  return props.isDeprecated ? css(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n          cursor: default;\n          color: ", ";\n        "])), "var(--ds-text-disabled, ".concat(N50, ")")) : '';
});
export var OptionName = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  color: ", ";\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  // Added so that overflowed option names do not squish the deprecated info icon\n  flex: 1;\n"])), "var(--ds-text, ".concat(N800, ")"));
export var DeprecatedOptionContainer = styled.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  color: ", ";\n  display: flex;\n  justify-content: space-between;\n  opacity: 0.6;\n"])), "var(--ds-text-disabled, ".concat(N50, ")"));
export var OptionHighlight = styled.span(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  font-weight: bold;\n"])));
export var FieldType = styled.div(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n  margin-top: calc(-1 * ", ");\n  color: ", ";\n"])), "var(--ds-space-025, 2px)", "var(--ds-text-subtlest, ".concat(N100, ")"));
export var FieldTypeIcon = styled.span(_templateObject9 || (_templateObject9 = _taggedTemplateLiteral(["\n  display: flex;\n  margin-right: ", ";\n"])), "var(--ds-space-050, 4px)");