import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";
var _templateObject;
import styled from '@emotion/styled';
import { N50, N500, N600, N70 } from '@atlaskit/theme/colors';
export var SyntaxHelpContainer = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  /* Override background styles for our button to match designs */\n\n  > a {\n    background: ", ";\n    border-radius: 100%;\n    /* Fill the remaining vertical space for a single line in our editor and space between buttons */\n    margin: ", ";\n\n    &:hover {\n      background: ", ";\n    }\n\n    &:focus {\n      background: ", ";\n    }\n\n    &:active,\n    &[data-firefox-is-active='true'] {\n      background: ", ";\n    }\n\n    &[disabled] {\n      background: ", ";\n    }\n  }\n"])), "var(--ds-background-neutral-bold, ".concat(N70, ")"), "var(--ds-space-050, 4px)", "var(--ds-background-neutral-bold-hovered, ".concat(N500, ")"), "var(--ds-background-neutral-bold, ".concat(N70, ")"), "var(--ds-background-neutral-bold-pressed, ".concat(N600, ")"), "var(--ds-background-disabled, ".concat(N50, ")"));