import { JQLRuleSuggestions } from '@atlassianlabs/jql-autocomplete';
import { JQLParser } from '@atlassianlabs/jql-parser';
import { Token } from 'antlr4ts';
import { RecognitionException } from 'antlr4ts/RecognitionException';
import { IntlShape } from 'react-intl-next';
/**
 * Show the appropriate error message when parsing JQL fails and an operand rule was expected.
 */
export declare const handleOperandRuleError: (recognizer: JQLParser, currentToken: Token, expectedTokens: string[], rules: JQLRuleSuggestions, intl: IntlShape, exception?: RecognitionException) => string;
