import { JQLSyntaxError } from '@atlassianlabs/jql-ast';
import { EditorState } from 'prosemirror-state';
import { EditorView } from 'prosemirror-view';
type Coords = {
    left: number;
    right: number;
    top: number;
    bottom: number;
};
export declare class ValidationTooltipPluginView {
    tooltip: HTMLElement;
    constructor(mainId: string);
    showTooltip: (error: JQLSyntaxError, start: Coords, end: Coords) => void;
    hideTooltip: () => void;
    update(view: EditorView, lastState: EditorState): void;
    destroy(): void;
}
export {};
