/// <reference types="react" />
export declare const EditorMain: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement>, keyof import("react").HTMLAttributes<HTMLDivElement>>, object>;
export declare const EditorFooter: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement>, keyof import("react").HTMLAttributes<HTMLDivElement>>, object>;
type EditorViewContainerProps = {
    editorViewHasFocus?: boolean;
    editorViewIsInvalid?: boolean;
};
export declare const EditorViewContainer: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, EditorViewContainerProps, object>;
export declare const ReadOnlyEditorViewContainer: import("@emotion/styled-base").StyledComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & Pick<EditorViewContainerProps, keyof EditorViewContainerProps> & {
    theme?: object | undefined;
} & {
    children?: import("react").ReactNode;
}, "key" | keyof import("react").HTMLAttributes<HTMLDivElement> | "theme" | keyof EditorViewContainerProps> & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, Pick<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & Pick<EditorViewContainerProps, keyof EditorViewContainerProps> & {
    theme?: object | undefined;
} & {
    children?: import("react").ReactNode;
}, "key" | keyof import("react").HTMLAttributes<HTMLDivElement> | "theme" | keyof EditorViewContainerProps> & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, keyof import("react").HTMLAttributes<HTMLDivElement> | "theme" | keyof EditorViewContainerProps>, object>;
export declare const LineNumberToolbar: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {
    lineNumbersVisible: boolean;
}, object>;
/**
 * The main div which the Prosemirror editor will be rendered into.
 */
export declare const EditorView: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {
    defaultMaxRows: number;
    expandedRows: number;
    lineNumbersVisible: boolean;
    isCompact: boolean;
}, object>;
export declare const ReadOnlyEditorView: import("@emotion/styled-base").StyledComponent<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & Pick<{
    defaultMaxRows: number;
    expandedRows: number;
    lineNumbersVisible: boolean;
    isCompact: boolean;
}, "isCompact" | "lineNumbersVisible" | "defaultMaxRows" | "expandedRows"> & {
    theme?: object | undefined;
} & {
    children?: import("react").ReactNode;
}, "isCompact" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement> | "theme" | "lineNumbersVisible" | "defaultMaxRows" | "expandedRows"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, Pick<Pick<import("react").ClassAttributes<HTMLDivElement> & import("react").HTMLAttributes<HTMLDivElement> & Pick<{
    defaultMaxRows: number;
    expandedRows: number;
    lineNumbersVisible: boolean;
    isCompact: boolean;
}, "isCompact" | "lineNumbersVisible" | "defaultMaxRows" | "expandedRows"> & {
    theme?: object | undefined;
} & {
    children?: import("react").ReactNode;
}, "isCompact" | "key" | keyof import("react").HTMLAttributes<HTMLDivElement> | "theme" | "lineNumbersVisible" | "defaultMaxRows" | "expandedRows"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | import("react").RefObject<HTMLDivElement> | null | undefined;
}, "isCompact" | keyof import("react").HTMLAttributes<HTMLDivElement> | "theme" | "lineNumbersVisible" | "defaultMaxRows" | "expandedRows"> & {
    theme: object;
} & {
    theme: object;
}, object>;
export declare const EditorControls: import("@emotion/styled-base").StyledComponent<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {
    isSearch: boolean;
    isCompact: boolean;
}, object>;
export {};
