/**
 * Adapted from https://bitbucket.org/atlassian/atlassian-frontend/src/master/packages/analytics/analytics-listeners/src/fabric/FabricEditorListener.tsx
 * In future if this package is migrated into the Atlassian Frontend repo, then this code and related logic should be
 * moved into @atlaskit/analytics-listeners.
 */
import React, { ReactNode } from 'react';
import { UIAnalyticsEventHandler } from '@atlaskit/analytics-next';
import Logger from './helpers/logger';
import { AnalyticsWebClient } from './types';
export type ListenerProps = {
    children?: ReactNode;
    client?: AnalyticsWebClient | Promise<AnalyticsWebClient>;
    logLevel?: number;
};
export default class JQLEditorAnalyticsListener extends React.Component<ListenerProps> {
    logger: Logger;
    constructor(props: ListenerProps);
    handleEventWrapper: UIAnalyticsEventHandler;
    render(): JSX.Element;
}
